QSORT(3)

NAME
qsort - quicker sort

SYNOPSIS
#include <sys/types.h>
#include <stdlib.h>
void qsort(void *base, size_t nel, size_t width, int (*compar)(const void *, const void *))

DESCRIPTION
Qsort is an implementation of the quicker-sort algorithm. The first argument is a pointer to the base of the data; the second is the number of elements; the third is the width of an element in bytes; the last is the name of the comparison routine to be called with two arguments which are pointers to the elements being compared. The routine must return an integer less than, equal to, or greater than 0 according as the first argument is to be considered less than, equal to, or greater than the second.

SEE ALSO
sort(1).